basexclient(1)

NAME
basexclient - XML database system and XPath/XQuery processor (client mode)

SYNOPSIS
basexclient [-bcdiLnopPsUvVwxz] [query]

DESCRIPTION
basexclient starts a basex(1) XML database client in order to connect to a running instance of basexserver(1).

Per default basexclient tries to connect to a basexserver(1) running on localhost port 1984.

Connecting to a basexserver(1) requires the knowledge of a username and its corresponding credentials. For user management refer to basexserver(1) or the BaseX Documentation Wiki (http://docs.basex.org/wiki/User_Management)

OPTIONS
A short description of option can be obtained from

    $ basexclient -h
or by browsing http://docs.basex.org/wiki/Startup_Options#BaseX_Client

SEE ALSO
basexserver(1), basex(1), basexgui(1)

~/.basex
    BaseX (standalone and server) properties

~/.basexgui
    BaseX additional GUI properties

~/.basexperm
    user name, passwords, and permissions

~/.basexevents
    contains all existing events

~/BaseXData
    Default database directory

~/BaseXData/.logs
    Server logs

~/BaseXRepo
    Package repository

BaseX Documentation Wiki: http://docs.basex.org

HISTORY
BaseX started as a research project of the Database and Information Systems Group (DBIS) at the University of Konstanz in 2005 and soon turned into a feature-rich open source XML database and XPath/XQuery processor.

LICENSE
New (3-clause) BSD License

AUTHOR
BaseX is developed by a bunch of people called 'The BaseX Team' <http://basex.org/about-us/> led by Christian Gruen <cg@basex.org>.

The man page was written by Alexander Holupirek <alex@holupirek.de> while packaging BaseX for Debian GNU/Linux.